package mhp.oee.dao.gen;

import java.util.List;
import org.apache.ibatis.annotations.Param;

import mhp.oee.po.gen.ResourceReasonLogPO;
import mhp.oee.po.gen.ResourceReasonLogPOExample;

public interface ResourceReasonLogPOMapper {
    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table resource_reason_log
     *
     * @mbggenerated
     */
    int countByExample(ResourceReasonLogPOExample example);

    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table resource_reason_log
     *
     * @mbggenerated
     */
    int deleteByExample(ResourceReasonLogPOExample example);

    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table resource_reason_log
     *
     * @mbggenerated
     */
    int insert(ResourceReasonLogPO record);

    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table resource_reason_log
     *
     * @mbggenerated
     */
    int insertSelective(ResourceReasonLogPO record);

    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table resource_reason_log
     *
     * @mbggenerated
     */
    List<ResourceReasonLogPO> selectByExample(ResourceReasonLogPOExample example);

    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table resource_reason_log
     *
     * @mbggenerated
     */
    int updateByExampleSelective(@Param("record") ResourceReasonLogPO record, @Param("example") ResourceReasonLogPOExample example);

    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table resource_reason_log
     *
     * @mbggenerated
     */
    int updateByExample(@Param("record") ResourceReasonLogPO record, @Param("example") ResourceReasonLogPOExample example);
}